Package Details: dark-oberon 1.0.2rc2-3

Git Clone URL: https://aur.archlinux.org/dark-oberon.git (read-only, click to copy)
Package Base: dark-oberon
Description: An open source real-time strategy game similar to Warcraft II
Upstream URL: http://dark-oberon.sourceforge.net/
Keywords: game strategy
Licenses: GPL2, CCPL
Submitter: dirty
Maintainer: SanskritFritz (Cork)
Last Packager: Cork
Votes: 13
Popularity: 0.000000
First Submitted: 2005-08-23 14:00 (UTC)
Last Updated: 2015-07-16 07:39 (UTC)

Latest Comments

Cork commented on 2015-07-28 18:03 (UTC)

Looks like sourceforge has killed there web source vierwer.

SanskritFritz commented on 2015-07-28 17:36 (UTC)

The download link seems to be broken, can someone help me with that?

SanskritFritz commented on 2015-07-16 07:56 (UTC)

That's very kind, thanks.

Cork commented on 2015-07-16 06:57 (UTC)

sure

SanskritFritz commented on 2015-07-16 06:53 (UTC)

I must have been blind, thanks. I don't have ssh access temporarily, so may I ask you to update the package as co-maintainer?

Cork commented on 2015-07-16 06:49 (UTC)

SanskritFritz: sure it is https://aur4.archlinux.org/packages/glfw2/

SanskritFritz commented on 2015-07-15 07:45 (UTC)

Cork, thanks. I will look into this. Looks like glfw2 is not yet on AUR4?

Cork commented on 2015-07-13 19:52 (UTC)

Updated PKGBUILD + glfw2.patch for the dependency https://www.sendspace.com/file/3nw78b

alfplayer commented on 2015-01-14 02:39 (UTC)

Using icarito's patch I get the same as SanskritFritz.

SanskritFritz commented on 2014-05-10 20:25 (UTC)

I tried to build, here's what I got: /usr/bin/ld: cannot find -lglfw2 Can you help with that?

SanskritFritz commented on 2014-05-10 06:09 (UTC)

Thanks for your findings, will tackle this next week.

icarito commented on 2014-05-10 06:04 (UTC)

Actually I did manage to compile it now, but I had to patch the src/Makefile and change -lglfw for -lglfw2. Here's the unified diff: --- src/Makefile-OLD 2014-05-10 01:03:31.433448239 -0500 +++ src/Makefile 2014-05-10 01:01:13.586095378 -0500 @@ -6,7 +6,7 @@ CPPFLAGS = -g -Wall -O -D_GNU_SOURCE=1 - DEFINES = -DDATA_DIR='"/usr/share/dark-oberon/"' -DUNIX=1 -DSOUND=$(SOUND) -DDEBUG=$(DEBUG) INCLUDES = -I/usr/include -I/usr/include/SDL -I../libs LIBPATHS = -L/usr/lib -L/usr/local/lib -L../libs -LIBRARIES = -lpthread -lglfw -lGL -lX11 -lGLU -lXrandr -lSDL -lSDL_mixer +LIBRARIES = -lpthread -lglfw2 -lGL -lX11 -lGLU -lXrandr -lSDL -lSDL_mixer OBJECTS = doalloc.o doberon.o dobuildings.o doconfig.o dodata.o dodraw.o doengine.o doevents.o dofactories.o dofight.o dofile.o dofollower.o doforces.o dohost.o doipc.o dolayout.o doleader.o dologs.o domap.o domapunits.o domouse.o donet.o doplayers.o doraces.o doschemes.o doselection.o dosimpletypes.o dosound.o dosources.o dounits.o dowalk.o doworkers.o glfont.o glgui.o tga.o utils.o TARGETS = ../dark-oberon

icarito commented on 2014-05-10 05:56 (UTC)

Currently it's failing for me to build, with bunch of errors such as: undefined reference to `glfwDisable' I tried installing glfw2 package, but I don't know how to link / build against it. Thanks in advance.

SanskritFritz commented on 2014-01-18 22:49 (UTC)

You missed something, these are already added as dependencies.

sebasmannem commented on 2014-01-18 22:15 (UTC)

You might add dependencies for mesa and sdl_mixer to the PKGBUILD file...

commented on 2012-02-01 08:03 (UTC)

Thanks for testing. I updated the pkgbuild.

SanskritFritz commented on 2012-01-31 21:54 (UTC)

To my great joy, dark-oberon works on 64 bit, so you may modify the PKGBUILD: arch=('i686' 'x86_64')

commented on 2012-01-31 17:14 (UTC)

So, the downloaded tarball always has a different md5-sum. It's not good. I had to slightly modify the PKGBUILD.

commented on 2012-01-31 16:43 (UTC)

@SanskritFritz Yes, I also noticed this. Can't understand why the md5 has changed. I'll fix this soon. And what about x86_64. This is a quoute from the changelog: > Fixed compiling on 64bit systems (still not runable, sorry). But I haven't tested it.

SanskritFritz commented on 2012-01-31 16:28 (UTC)

==> Validating source files with md5sums... dark-oberon.tar.gz ... FAILED

SanskritFritz commented on 2012-01-31 16:23 (UTC)

Sorry didnt read your comment yet, when I posted. Will test tonight, I really hope I'll be able to run it.

SanskritFritz commented on 2012-01-31 16:21 (UTC)

Thanks dear sir. Is it a mistake, or this game is not available for 64 bit?

commented on 2012-01-31 16:19 (UTC)

Updated to 1.0.2 RC2. As far as I know, the game doesn't work on the x86_64. So I didn't add it's support to the PKGBUILD.

Renfield commented on 2010-10-23 23:36 (UTC)

This requires fmod, but the package fmod doesn't exist. ==> dark-oberon dependencies: - glfw (package found) - fmod (building from AUR) ==> Continue building dark-oberon ? [Y/n] ==> ------------------------------------- ==> ==> Building and installing package ==> Install or build missing dependencies for dark-oberon: error: 'fmod': could not find or read package